package com.quansu.heifengwuliu.activity

import com.quansu.heifengwuliu.base.MBActivity
import com.quansu.heifengwuliu.databinding.ActivityLoginBinding
import com.quansu.heifengwuliu.repository.LoginRepository
import com.quansu.heifengwuliu.vmodel.LoginVModel
import com.ysnows.base.base.BRepository
class LoginActivity : MBActivity<LoginVModel, ActivityLoginBinding>() {
    override fun title(): String? {
        return null
    }
    override fun binding(): ActivityLoginBinding {
        return ActivityLoginBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<LoginVModel> {
        return LoginVModel::class.java
    }

    override fun createRepository(): BRepository {
        return LoginRepository()
    }



}
